FreeBSD : proftpd -- remote code execution vulnerability (533d20e7-f71f-11df-9ae1-000bcdf0a03b)

Critical Nessus Plugin ID 50700


The remote FreeBSD host is missing a security-related update.


Tippingpoint reports :

This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of ProFTPD. Authentication is not required to exploit this vulnerability.

The flaw exists within the proftpd server component which listens by default on TCP port 21. When reading user input if a TELNET_IAC escape sequence is encountered the process miscalculates a buffer length counter value allowing a user controlled copy of data to a stack buffer. A remote attacker can exploit this vulnerability to execute arbitrary code under the context of the proftpd process.


Update the affected package.

See Also

Plugin Details

Severity: Critical

ID: 50700

File Name: freebsd_pkg_533d20e7f71f11df9ae1000bcdf0a03b.nasl

Version: $Revision: 1.8 $

Type: local

Published: 2010/11/24

Modified: 2016/05/09

Dependencies: 12634

Risk Information

Risk Factor: Critical


Base Score: 10

Temporal Score: 8.7

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:proftpd, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2010/11/23

Vulnerability Publication Date: 2010/11/02

Exploitable With

Core Impact

Metasploit (ProFTPD 1.3.2rc3 - 1.3.3b Telnet IAC Buffer Overflow (Linux))

Reference Information

CVE: CVE-2010-4221

BID: 44562